Tenant Licenses Search
Get the licenses of a tenant based on the provided search criteria.
ID of the tenant
Offset of page start. The number of items to skip before starting to collect the result set.
The maximum number of items to return in the response. Use this parameter to limit the size of the result set.
{
"filters": [
{
"key": "STATUS",
"operator": "EQUALS",
"value": "ACTIVE"
},
{
"key": "VCF_OPS_ID",
"operator": "LIKE",
"value": "99979626-5ddf"
}
],
"sorter": {
"key": "NAME",
"operator": "ASC"
}
}
A list of conditional criteria used to refine and narrow down the search results. Multiple filters are applied using logical 'AND' conditions (i.e., a record must satisfy all provided filters to be returned).
Defines the ordering criteria for the result set. Specifies the target property and the direction (ascending or descending) to arrange the returned records.
OK
{
"next": 1,
"current": 1,
"total_results": 1,
"results": [
{
"id": "479d239e-38f0-4071-9662-9c516ffdedc3",
"name": "VMware Cloud Foundation (cores)",
"quantity": 41000,
"status": "ACTIVE",
"next_expiry_date": "2025-10-19T10:18:32Z",
"product": {
"name": "VMware Cloud Foundation (cores)",
"uom": "CORE",
"uom_display_name": "Cores",
"product_name": "VMware Cloud Foundation",
"type": "BASE"
},
"is_default": true,
"subscriptions": [
{
"id": "3da7c8ab-89b0-4c0a-8a87-291d884a248f",
"serial_number": "411001-1",
"end_date": "2035-01-01T07:59:59Z",
"quantity": 50000
}
],
"version": "v19",
"consumption_details": {
"unit": "CORE",
"unit_display_name": "Cores",
"total": 41000,
"used": 0,
"available": 41000
}
}
]
}
Next page number
Current page number
Total results across all pages
The item list of the response page
Bad Request
{
"message": "Unexpected value 'VCF_OPS'",
"major_error_code": "400",
"minor_error_code": "INVALID_REQUEST"
}
parameter_list
message
major_error_code
minor_error_code
Unauthorized
{
"major_error_code": "401",
"minor_error_code": "UNAUTHORIZED",
"message": "Authentication failed"
}
parameter_list
message
major_error_code
minor_error_code
Forbidden
{
"major_error_code": "403",
"minor_error_code": "ACCESS_DENIED",
"message": "Access Denied"
}
parameter_list
message
major_error_code
minor_error_code
Not Found
{
"message": "Tenant 567905de-ef1c-48ce-9e4e-05c28f5caaa6 not found.",
"major_error_code": "NOT_FOUND",
"minor_error_code": "TENANT_NOT_FOUND"
}
parameter_list
message
major_error_code
minor_error_code
Internal Server Error
{
"message": "Failed to search licenses.",
"major_error_code": "LICENSE_ERROR",
"minor_error_code": "SEARCH_LICENSE_FAILED"
}
parameter_list
message
major_error_code
minor_error_code
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/vcf/license-mgmt/api/v1/tenants/{tenant_id}/licenses/search